complexType "WeatherLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, weatherIndexLevel?, (weatherCalculationPeriods | weatherCalculationPeriodsReference), weatherNotionalAmount?, calculation?, paymentDates?, weatherIndexData?
</...>

Content Model Elements (11):

  calculation (in weatherLeg),
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentDates (in weatherLeg),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  weatherCalculationPeriods,
  weatherCalculationPeriodsReference,
  weatherIndexData (in weatherLeg),
  weatherIndexLevel,
  weatherNotionalAmount (in weatherLeg)

All Direct / Indirect Based Elements (1):

  weatherLeg

Known Usage Locations

- As direct type of elements (1):
  weatherLeg

Annotation
A weather leg of a Commodity Swap defines Weather Index Swap transactions. Weather Index Swap transactions are OTC derivative transactions which settle financially based on an index calculated from observations of temperature, precipitation and other weather-related measurements at weather stations throughout the world. Sub-Annex C of the 2005 ISDA Commodity Definitions provides definitions and terms for a number of types of weather indices. These indices include: HDD (heating degree days), CDD (cooling degree days), CPD (critical precipitation days). Weather Index Swap transactions result in a cash flow to one of the two counterparties each Calculation Period depending on the relationship between the Settlement Level and the Weather Index Level. A Weather Index swap transaction always consists of a commodity swap element as a parent to two weatherLeg elements.
Type Definition Detail

Type Derivation Tree Leg (extension) CommoditySwapLeg (extension) FinancialSwapLeg (extension) WeatherLeg

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="WeatherLeg"> <xsd:complexContent> <xsd:extension base="FinancialSwapLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="weatherIndexLevel" type="WeatherIndex"/> <xsd:group ref="WeatherCalculationPeriod.model"/> <xsd:element minOccurs="0" name="weatherNotionalAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="calculation" type="WeatherLegCalculation"/> <xsd:element minOccurs="0" name="paymentDates" type="CommodityRelativePaymentDates"/> <xsd:element minOccurs="0" name="weatherIndexData" type="WeatherIndexData"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/11)
calculation

  Type: | WeatherLegCalculation, complex content

  Defines details relevant to the calculation of the aggregate weather index amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculation" type="WeatherLegCalculation"/>

paymentDates

  Type: | CommodityRelativePaymentDates, complex content

  The Payment Dates of the trade relative to the Calculation Periods or Calculation Date
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDates" type="CommodityRelativePaymentDates"/>

weatherIndexData

  Type: | WeatherIndexData, complex content

  Specifies where the data (e.g. CPD) have been collected, an actual physical reference point (weather station) and various fall back arrangements.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="weatherIndexData" type="WeatherIndexData"/>

weatherIndexLevel

  Type: | WeatherIndex, complex content

  Defining the Weather Index Level or Weather Index Strike Level.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="weatherIndexLevel" type="WeatherIndex"/>

weatherNotionalAmount

  Type: | NonNegativeMoney, complex content

  Defines the price per weather index unit.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="weatherNotionalAmount" type="NonNegativeMoney"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.